Support » Plugins and Hacks » [Resolved] V 1.9 Update Error

[Resolved] V 1.9 Update Error

Viewing 15 replies - 1 through 15 (of 16 total)
  • I would wait 🙂

    It seems like the upgrade has smashed a number of sites – take a look at their soppurt forum on http://www.time.ly or look at their twitter: https://mobile.twitter.com/_Timely

    Wait until they get the situation under control – or be sure to have a valid back-up 🙂


    Your point is well taken. I certainly won’t be upgrading until this problem is fixed.

    Posted at http://help.time.ly/customer/en/portal/questions/746353-1-9-woes?new=746353

    1. Got this error after upgrade:
    Warning: Invalid argument supplied for foreach() in /www/wordpress/wp-content/plugins/all-in-one-event-calendar/app/controller/class-ai1ec-lessphp-controller.php on line 269

    2. Then:
    Errors occurred while we tried to update your core Calendar Themes
    Please follow any instructions listed below or your calendar may malfunction:
    An error occurred while compiling the theme’s CSS after updating files. Please visit Events > Theme Options and click Save Options for more detail about the error. (Didn’t work)

    This error was all over the site:
    Fatal error: Cannot redeclare class wp_facebookapiexception in /www/wordpress/wp-content/plugins/all-in-one-event-calendar/lib/facebook-php-sdk/base_facebook.php on line 24

    And this one popped up as well:
    Fatal error: Internal Zend error – Missing class information for in /www/wordpress/wp-content/plugins/all-in-one-event-calendar/lib/lessphp/lessc.inc.php on line 4

    I am getting this…anyone have an idea?
    Uncaught exception ‘Ai1ec_Database_Error’ with message ‘In table wp_5d8vzh_ai1ec_event_instances indexes are missing: evt_instance’ in /home/xxxxx/site.org/wp-content/plugins/all-in-one-event-calendar/app/model/class-ai1ec-database.php:496

    Been getting this error message, as I try to refresh my index with Relevanssi:

    Warning: Missing argument 2 for Ai1ec_View_Helper::the_title_admin() in /home/contactj/public_html/wp-content/plugins/all-in-one-event-calendar/app/helper/class-ai1ec-view-helper.php on line 652

    My issue ended up that there where 4 duplicate entries so the UNIQUE key couldn’t be created. Once deleted, it was fine.

    Surprisingly my update went well, no problems!
    Could be theme/plugin problem; I have Atahualpa theme.

    Same issue here
    Tried on twenty twelve template, and Simple Catch, same issue

    I did a manual update to get around my original post. V 1.9.1 did everything I asked of it. Then, I did the 1.9.2 update and then I purchased Pro. There were some stumbling the two upgrades, but they’ve been resolved with the help of the time.ly support folks and everything is working correctly.

    I did have an issue with both the format display button and the Categories button not working. This turned out to be a theme-related issue.

    The theme support folks gave me these two code segments to get the two buttons to work correctly. Obviously, I don’t know if they will work in anyone else’s situation, but here they are. They go in your theme’s style.css file. Try them at your own risk:

    overflow: visible!important;
    background-image: none!important;
    overflow: visible!important;
    background-image: none!important;

    I was getting the zend error after updating to 1.9.3. I tried upgrading to 1.9.4, but we’re still getting this error:
    “Internal Zend error – Missing class information for in /web/ART/MAIN/wp-content/plugins/all-in-one-event-calendar/lib/lessphp/lessc.inc.php on line 4”

    Is something broken with the less class?

    Here is a crappy way to fix this bug :

    In /wp-content/plugins/all-in-one-event-calendar/lib/lessphp/lessc.inc.php

    Replace :
    if( ! class_exists( ‘lessc’ ) ) {

    By :
    if( !class_exists( ‘lessc’ ) ) {

    I am getting this error when I click the upgrade from Lite to Standard.

    Downloading update from http://time.ly/plugin/standard/latest…

    Warning: touch() [function.touch]: Unable to create file /tmp/latest because No space left on device in /data/12/1/33/48/1196048/user/1274238/htdocs/wordpress1/wp-admin/includes/file.php on line 179

    Warning: unlink(/tmp/latest) [function.unlink]: No such file or directory in /data/12/1/33/48/1196048/user/1274238/htdocs/wordpress1/wp-admin/includes/file.php on line 493

    Download failed. Could not open handle for fopen() to /tmp/latest

    Any what I should do??

    @jtobey and @cybermulot,

    What do you mean by “deleting duplicate entries”?

    Are the entries “event” post?

    I suspect I’ve got some duplicate-entries issues going on as well, having imported a bunch of events from a previous install.

    When I queried the mySQL DB I found that during the upgrade, or in the previous version there where duplicated event entries, once I dedupped the the table of events everything worked just fine.

    Grrr. Even on a fresh install with no events at all, and then also with a handful of freshly added events in place — so surely no duplicates — I’m getting all these same errors.

    Fatal error: Cannot redeclare class wp_facebookapiexception in /www/wordpress/wp-content/plugins/all-in-one-event-calendar/lib/facebook-php-sdk/base_facebook.php on line 24
    Fatal error: Internal Zend error - Missing class information for in /www/wordpress/wp-content/plugins/all-in-one-event-calendar/lib/lessphp/lessc.inc.php on line 4

    I’ve tried going in and commenting out anything related to facebook, but it just goes too deep…

    Also the well-intended fix by Xefir unsurprisingly did not halt the Zend error.

    Has anyone had success in dealing with this?

Viewing 15 replies - 1 through 15 (of 16 total)
  • The topic ‘[Resolved] V 1.9 Update Error’ is closed to new replies.